2019-08-21 11:40 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006185Spring engineAIpublic2019-04-25 18:04
ReporterDeinFreund 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006185: aicontrol crashes other users
DescriptionWhen running aicontrol to add an ai to the game, other players in the same game crash.
Steps To ReproduceStart a two player COOP game of Zero-K. Two humans fighting against two CAI. Then replace one of the human teams by a CircuitAI using aicontrol. The team is successfully replaced and the AI starts running, but the other user crashes.

These messages are shown after running aicontrol on the client that used aicontrol:
[f=0012139] bust (1) tried to change the state of an AI (2) controlling team -1 to state 20 illegally
[f=0012139] bust (1) tried to change the state of an AI (2) controlling team -1 to state 40 illegally
[f=0012140] bust (1) tried to change the state of an AI (2) controlling team -1 to state 50 illegally

It could be that I'm using an outdated version of CircuitAI, but this shouldn't allow me to crash other users.
Additional InformationInfolog (crashed user): https://github.com/ZeroK-RTS/CrashReports/issues/21079
Infolog (user of aicontrol): http://paste.springfiles.com/view/e71f1796
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0019956

DeinFreund (reporter)

It doesn't crash anymore, but the messages are still the same.


Game: [f=-000001] dust (0) tried to change the state of an AI (1) controlling team -1 to state 20 illegally
Game: [f=-000001] dust (0) tried to change the state of an AI (1) controlling team -1 to state 40 illegally
+Notes

-Issue History
Date Modified Username Field Change
2019-03-28 15:38 DeinFreund New Issue
2019-03-28 15:38 DeinFreund File Added: 20190328_152900_FinnsRevengeRV4_104.0.1-1156-gb72a9cc maintenance.sdfz
2019-03-29 00:49 Kloot Assigned To => Kloot
2019-03-29 00:49 Kloot Status new => resolved
2019-03-29 00:49 Kloot Resolution open => fixed
2019-03-29 00:49 Kloot Fixed in Version => 104.0 +git
2019-04-22 20:13 DeinFreund Status resolved => feedback
2019-04-22 20:13 DeinFreund Resolution fixed => reopened
2019-04-22 20:13 DeinFreund Note Added: 0019956
2019-04-25 18:04 Kloot Status feedback => resolved
2019-04-25 18:04 Kloot Resolution reopened => fixed
+Issue History